### Hierarchy

- Sections

## Index

### Properties

- collapsible
- expanded
- id
- items
- sections
- title
- titleHalign
- titleStyle

## Properties

### collapsible

collapsible: string

Whether the section is collapsible. Only applies if the legend orientation is vertical.

### expanded

expanded: string

Whether the section is initially expanded. Only applies if the section is collapsible.

### id

id: string

The id of the legend section. For the DataProvider case, the key for the node will be used as the id.

### items

items: object[]

An array of objects with the following properties defining the legend items. Also accepts a Promise for deferred data rendering. No data will be rendered if the Promise is rejected.

### sections

sections: object[]

An array of nested legend sections.

### title

title: string

The title of the legend section.

### titleHalign

titleHalign: string

The horizontal alignment of the section title. If the section is collapsible or nested, only start alignment is supported.

### titleStyle

titleStyle: object

The CSS style object defining the style of the section title. The following style properties are supported: color, cursor, fontFamily, fontSize, fontStyle, fontWeight, textDecoration.

Generated using TypeDoc